## hubzero-julian-repo 2.2.0-1+deb8

=== debian/changelog ===
hubzero-julian-repo (2.2.0-1+deb8) unstable; urgency=low

  * Initial release. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 14:55:17 -0400

## hubzero-julian-repo 2.2.1-1+deb8

=== debian/changelog ===
hubzero-julian-repo (2.2.1-1+deb8) unstable; urgency=low

  * Autoupdate package index for this repo on postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jun 2018 11:27:53 -0400

hubzero-julian-repo (2.2.0-1) unstable; urgency=low

  * Initial release. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 14:55:17 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-julian-repo
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-julian-repo install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-julian-repo 2.2.2-1+deb8

=== Makefile ===
# @package      hubzero-julian
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETCDIR=$(DESTDIR)/etc
MAJOR_VERSION=`lsb_release -r -s | cut -d . -f 1`

all:
	@true

install:
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '6' ]; then install --mode 0644 -D hubzero-julian.list.squeeze $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '7' ]; then install --mode 0644 -D hubzero-julian.list.wheezy $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '8' ]; then install --mode 0644 -D hubzero-julian.list.jessie $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '9' ]; then install --mode 0644 -D hubzero-julian.list.stretch $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version ]; then install --mode 0644 -D hubzero-julian.gpg $(ETCDIR)/apt/trusted.gpg.d/hubzero-julian.gpg; fi

uninstall:
	rm $(ETCDIR)/apt/sources.list.d/hubzero-julian.list
	rm $(ETCDIR)/apt/trustd.gpg.d/hubzero-julian.gpg

postinst:
	sed -i -e '/packages\.hubzero\.org\/deb/d' /etc/apt/sources.list
	if [ -f /etc/debian_version ]; then apt-get update -o APT::List-Cleanup=0 -o Dir::Etc::sourcelist=/etc/apt/sources.list.d/hubzero-julian.list -o Dir::Etc::sourceparts="/dev/null"; fi

clean:
	@true

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-julian-repo (2.2.2-1+deb8) unstable; urgency=low

  * Revert last change as autoupdate can't run in postinst due to db lock

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jun 2018 11:32:56 -0400

hubzero-julian-repo (2.2.1-1) unstable; urgency=low

  * Autoupdate package index for this repo on postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jun 2018 11:27:53 -0400

=== debian/control ===
Source: hubzero-julian-repo
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-julian-repo
Architecture: amd64 i386
Conflicts: hubzero-ellie-repo, hubzero-shira-repo, hubzero-diego-repo, hubzero-buck-repo, hubzero-manny-repo, hubzero-lenny-repo, hubzero-stretch-repo
Replaces: hubzero-ellie-repo, hubzero-shira-repo, hubzero-diego-repo, hubzero-buck-repo, hubzero-manny-repo, hubzero-lenny-repo, hubzero-stretch-repo
Description: HUBzero Repository 2.2 (Julian) configuration
 Installs HUBzero Repository 2.2 (Julian) configuration
